## htslib 1.22.1%2Bds2

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

ifneq (,$(filter $(DEB_HOST_ARCH),i386 kfreebsd-i386 hurd-i386))
  DEB_CFLAGS_MAINT_APPEND=-msse -mfpmath=sse
endif
DEB_CFLAGS_MAINT_APPEND+=-ffat-lto-objects
DEB_LDFLAGS_MAINT_APPEND+=-Wl,-flto -fvisibility=hidden -ffat-lto-objects

export DEB_CFLAGS_MAINT_APPEND
export DEB_LDFLAGS_MAINT_APPEND

# Prune +,ds etc from version
UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+.*//')

libdir = /usr/lib/$(DEB_HOST_MULTIARCH)
plugindir = $(libdir)/htslib

%:
	dh $@

hello:
	echo "Upstream version: $(UPSTREAM_VERSION)"

override_dh_auto_configure:
ifneq (,$(filter $(DEB_HOST_ARCH),i386 kfreebsd-i386 hurd-i386))
	cp htslib.pc.in debian/
	cp debian/i386-htslib.pc.in ./htslib.pc.in
endif
	# create clean copy of test dir
	cp -a test test_backup
	# to help with cross building, otherwise MMAP might get turned off
	export ac_cv_func_mmap_fixed_mapped=yes \
	&& autoconf \
	&& dh_auto_configure -- \
		--enable-libcurl \
		--enable-gcs \
		--enable-s3 \
		--enable-plugins \
		--with-plugin-dir='$(libdir)/htslib' \
		--with-external-htscodecs \
		--with-plugin-path='/usr/local/lib/htslib:/usr/local/libexec/htslib:$(plugindir)'

override_dh_auto_build-arch:
	dh_auto_build -- \
	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
	  CPPFLAGS="-I. -DSAMTOOLS=1 $$(dpkg-buildflags --get CPPFLAGS)" \
	  PACKAGE_VERSION="$(UPSTREAM_VERSION)" \
	  libdir=$(libdir)
# re-try later	  LDLIBS=-lhts \

override_dh_auto_build-indep:

override_dh_auto_install-arch:
	for binary in sam test-regidx hts_endian test-bcf-sr test_bgzf ; do \
	    rm $(CURDIR)/test/$${binary} ; \
	done
	dh_auto_install -- prefix=/usr \
	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
	  CPPFLAGS="-I. -DSAMTOOLS=1 $$(dpkg-buildflags --get CPPFLAGS)" \
	  PACKAGE_VERSION="$(UPSTREAM_VERSION)" \
	  libdir=$(libdir)
	# restore clean copy of test dir before dh_install is run
	# This should not be done earlier since dh_auto_install contains some unconditional removals
	$(RM) -r test
	mv test_backup test

override_dh_strip:
	# This is apparently important for the interpretation by ldc2 in sambamba
	dh_strip -Xlibhts.a

override_dh_auto_install-indep:

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- \
	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
	  CPPFLAGS="-I. -DSAMTOOLS=1 $$(dpkg-buildflags --get CPPFLAGS)" \
	  PACKAGE_VERSION="$(UPSTREAM_VERSION)" \
	  libdir=$(libdir) \
	  || \
	  if find . -name "FAIL*" > /dev/null ; then \
	    for file in $$(find . -name "FAIL*"); do echo $${file}; cat $${file}; done && false ; \
	  fi
endif

override_dh_auto_test-indep:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "Suppress test for Architecture independant builds."
endif

execute_after_dh_install-indep:
	sed -i 's#\.\./\.\./htslib/#htslib/#' `grep -Rl '../../htslib/' debian/htslib-test/*`

execute_after_dh_installdocs:
	# Fix Perl interpreter path
	for pl in `grep -Rl '#!/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
	    sed -i '1s?^#!/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
	done

override_dh_installchangelogs:
	dh_installchangelogs NEWS

execute_before_dh_missing:
	# FIXME: No idea why these files are remaining in debian/tmp
	rm -rf debian/tmp/usr/bin debian/tmp/usr/share/man

execute_after_dh_fixperms:
	find debian -name simple_test_driver.sh -exec chmod +x \{\} \;

execute_before_dh_auto_clean:
ifneq (,$(filter $(DEB_HOST_ARCH),i386 kfreebsd-i386 hurd-i386))
ifneq (,$(wildcard debian/htslib.pc.in))
	cp debian/htslib.pc.in ./
endif
endif

execute_after_dh_auto_clean:
	rm -rf test_backup/

## htslib 1.22.1+ds

=== debian/changelog ===
htslib (1.22.1+ds-2) unstable; urgency=medium

  * d/htslib-test.install: also install ref_cache/*.[ch]. Closes:
    #1111788

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 03 Sep 2025 20:45:19 +0200

htslib (1.22.1+ds-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * d/copyright: Also excluding config.{guess,sub}

 -- Steffen Moeller <moeller@debian.org>  Sun, 17 Aug 2025 21:04:46 +0200

=== debian/control ===
Source: htslib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>,
           Michael R. Crusoe <crusoe@debian.org>,
           Steffen Moeller <moeller@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               libbz2-dev,
               libcurl4-gnutls-dev,
               liblzma-dev,
               libssl-dev,
               zlib1g-dev,
               libdeflate-dev,
               libhtscodecs-dev (>= 1.0)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/htslib
Vcs-Git: https://salsa.debian.org/med-team/htslib.git
Homepage: https://github.com/samtools/htslib
Rules-Requires-Root: no

Package: libhts3t64
Provides: ${t64:Provides}
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libhts3 (<< ${source:Version}),
        libtabixpp (<< 1.0.0-5~),
        libhts-dev (<< 1.13~),
        samtools (<< 1.17~),
        ivar (<< 1.3.1~)
Replaces: libhts3, libhts-dev (<< 1.13~)
Description: C library for high-throughput sequencing data formats
 HTSlib is an implementation of a unified C library for accessing common file
 formats, such as SAM (Sequence Alignment/Map), CRAM and VCF (Variant Call
 Format), used for high-throughput sequencing data, and is the core library
 used by samtools and bcftools. HTSlib only depends on zlib. It is known to be
 compatible with gcc, g++ and clang.
 .
 HTSlib implements a generalized BAM (binary SAM) index, with file extension
 ‘csi’ (coordinate-sorted index). The HTSlib file reader first looks for the
 new index and then for the old if the new index is absent.

Package: libhts-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libbz2-dev,
         libhts3t64 (= ${binary:Version}),
         libcurl4-gnutls-dev,
         libdeflate-dev,
         liblzma-dev,
         zlib1g-dev,
         ${misc:Depends}
Description: development files for the HTSlib
 HTSlib is an implementation of a unified C library for accessing common file
 formats, such as SAM (Sequence Alignment/Map), CRAM and VCF (Variant Call
 Format), used for high-throughput sequencing data, and is the core library
 used by samtools and bcftools. HTSlib only depends on zlib. It is known to be
 compatible with gcc, g++ and clang.
 .
 HTSlib implements a generalized BAM (binary SAM) index, with file extension
 ‘csi’ (coordinate-sorted index). The HTSlib file reader first looks for the
 new index and then for the old if the new index is absent.
 .
 This package contains development files for the HTSlib: headers, static
 library, manual pages, etc.
 .
 For compatibility with sambamba, the internal routine cram_to_bam was
 exported, hereto adopting a patch found in guix.

Package: htslib-test
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${perl:Depends}
Description: Test data for HTSlib
 HTSlib is an implementation of a unified C library for accessing common file
 formats, such as SAM (Sequence Alignment/Map), CRAM and VCF (Variant Call
 Format), used for high-throughput sequencing data, and is the core library
 used by samtools and bcftools. HTSlib only depends on zlib. It is known to be
 compatible with gcc, g++ and clang.
 .
 HTSlib implements a generalized BAM (binary SAM) index, with file extension
 ‘csi’ (coordinate-sorted index). The HTSlib file reader first looks for the
 new index and then for the old if the new index is absent.
 .
 This package contains test files and scripts for the HTSlib.

Package: tabix
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: generic indexer for TAB-delimited genome position files
 Tabix indexes files where some columns indicate sequence coordinates: name
 (usually a chromosome), start and stop. The input data file must be position
 sorted and compressed by bgzip (provided in this package), which has a gzip
 like interface. After indexing, tabix is able to quickly retrieve data lines by
 chromosomal coordinates. Fast data retrieval also works over network if an URI
 is given as a file name.
 .
 This package is built from the HTSlib source, and provides the bgzip, htsfile,
 and tabix tools.

## htslib 1.22.1+ds2

=== Makefile ===
# Makefile for htslib, a C library for high-throughput sequencing data formats.
#
#    Copyright (C) 2013-2024 Genome Research Ltd.
#
#    Author: John Marshall <jm18@sanger.ac.uk>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.

CC     = gcc
AR     = ar
RANLIB = ranlib

# Default libraries to link if configure is not used
htslib_default_libs = -lz -lm -lbz2 -llzma -lcurl

CPPFLAGS =
# TODO: make the 64-bit support for VCF optional via configure, for now add -DVCF_ALLOW_INT64
#       to CFLAGS manually, here or in config.mk if the latter exists.
# TODO: probably update cram code to make it compile cleanly with -Wc++-compat
# For testing strict C99 support add -std=c99 -D_XOPEN_SOURCE=600
#CFLAGS   = -g -Wall -O2 -pedantic -std=c99 -D_XOPEN_SOURCE=600
CFLAGS   = -g -Wall -O2 -fvisibility=hidden
EXTRA_CFLAGS_PIC = -fpic
TARGET_CFLAGS =
LDFLAGS  = -fvisibility=hidden
VERSION_SCRIPT_LDFLAGS = -Wl,-version-script,$(srcprefix)htslib.map
LIBS     = $(htslib_default_libs)

prefix      = /usr/local
exec_prefix = $(prefix)
bindir      = $(exec_prefix)/bin
includedir  = $(prefix)/include
libdir      = $(exec_prefix)/lib
libexecdir  = $(exec_prefix)/libexec
datarootdir = $(prefix)/share
mandir      = $(datarootdir)/man
man1dir     = $(mandir)/man1
man5dir     = $(mandir)/man5
man7dir     = $(mandir)/man7
pkgconfigdir= $(libdir)/pkgconfig

MKDIR_P = mkdir -p
INSTALL = install -p
INSTALL_DATA    = $(INSTALL) -m 644
INSTALL_DIR     = $(MKDIR_P) -m 755
LIB_PERM        = 644
INSTALL_LIB     = $(INSTALL) -m $(LIB_PERM)
INSTALL_MAN     = $(INSTALL_DATA)
INSTALL_PROGRAM = $(INSTALL)

# Set by config.mk if plugins are enabled
plugindir =

BUILT_PROGRAMS = \
	annot-tsv \
	bgzip \
	htsfile \
	tabix

BUILT_TEST_PROGRAMS = \
	test/hts_endian \
	test/fieldarith \
	test/hfile \
	test/pileup \
	test/pileup_mod \
	test/plugins-dlhts \
	test/sam \
	test/test_bgzf \
	test/test_expr \
	test/test_faidx \
	test/test_kfunc \
	test/test_khash \
	test/test_kstring \
	test/test_mod \
	test/test_nibbles \
	test/test_realn \
	test/test-regidx \
	test/test_str2int \
	test/test_time_funcs \
	test/test_view \
	test/test_index \
	test/test-vcf-api \
	test/test-vcf-sweep \
	test/test-bcf-sr \
	test/fuzz/hts_open_fuzzer.o \
	test/test-bcf-translate \
	test/test-parse-reg \
	test/test_introspection \
	test/test-bcf_set_variant_type

BUILT_THRASH_PROGRAMS = \
	test/thrash_threads1 \
	test/thrash_threads2 \
	test/thrash_threads3 \
	test/thrash_threads4 \
	test/thrash_threads5 \
	test/thrash_threads6 \
	test/thrash_threads7

all: lib-static lib-shared $(BUILT_PROGRAMS) plugins \
	$(BUILT_TEST_PROGRAMS) htslib_static.mk htslib-uninstalled.pc

# Report compiler and version
cc-version:
	-@$(CC) --version  2>/dev/null || true
	-@$(CC) --qversion 2>/dev/null || true
	-@$(CC) -V         2>/dev/null || true

ALL_CPPFLAGS = -I. $(CPPFLAGS)

# Usually htscodecs.mk is generated by running configure or config.status,
# but if those aren't used create a default here.
htscodecs.mk:
	echo '# Default htscodecs.mk generated by Makefile' > $@
	echo 'include $$(HTSPREFIX)htscodecs_bundled.mk' >> $@
	$(srcdir)/hts_probe_cc.sh '$(CC)' '$(CFLAGS) $(CPPFLAGS)' '$(LDFLAGS)' >> $@

srcdir = .
srcprefix =
HTSPREFIX =

# Flags for SIMD code
HTS_CFLAGS_AVX2 =
HTS_CFLAGS_AVX512 =
HTS_CFLAGS_SSE4 =

# Control building of SIMD code.  Not used if configure has been run.
HTS_BUILD_AVX2 =
HTS_BUILD_AVX512 =
HTS_BUILD_SSE4 =

include htslib_vars.mk
include htscodecs.mk

# If not using GNU make, you need to copy the version number from version.sh
# into here.
PACKAGE_VERSION := $(shell $(srcdir)/version.sh)

LIBHTS_SOVERSION = 3

# Version numbers for the Mac dynamic library.  Note that the leading 3
# is not strictly necessary and should be removed the next time
# LIBHTS_SOVERSION is bumped (see #1144 and
# https://developer.apple.com/library/archive/documentation/DeveloperTools/Conceptual/DynamicLibraries/100-Articles/DynamicLibraryDesignGuidelines.html#//apple_ref/doc/uid/TP40002013-SW23)
MACH_O_COMPATIBILITY_VERSION = 3.1.22
MACH_O_CURRENT_VERSION = 3.1.22

# Force version.h to be remade if $(PACKAGE_VERSION) has changed.
version.h: $(if $(wildcard version.h),$(if $(findstring "$(PACKAGE_VERSION)",$(shell cat version.h)),,force))

version.h:
	echo '#define HTS_VERSION_TEXT "$(PACKAGE_VERSION)"' > $@

print-version:
	@echo $(PACKAGE_VERSION)

show-version:
	@echo PACKAGE_VERSION = $(PACKAGE_VERSION)

config_vars.h: override escape=$(subst ',\x27,$(subst ",\",$(subst \,\\,$(1))))
config_vars.h: override hts_cc_escaped=$(call escape,$(CC))
config_vars.h: override hts_cppflags_escaped=$(call escape,$(CPPFLAGS))
config_vars.h: override hts_cflags_escaped=$(call escape,$(CFLAGS))
config_vars.h: override hts_ldflags_escaped=$(call escape,$(LDFLAGS))
config_vars.h: override hts_libs_escaped=$(call escape,$(LIBS))

config_vars.h:
	printf '#define HTS_CC "%s"\n#define HTS_CPPFLAGS "%s"\n#define HTS_CFLAGS "%s"\n#define HTS_LDFLAGS "%s"\n#define HTS_LIBS "%s"\n' \
	'$(hts_cc_escaped)' \
	'$(hts_cppflags_escaped)' \
	'$(hts_cflags_escaped)' \
	'$(hts_ldflags_escaped)' \
	'$(hts_libs_escaped)' > $@

.SUFFIXES: .bundle .c .cygdll .dll .o .pico .so

.c.o:
	$(CC) $(CFLAGS) $(TARGET_CFLAGS) $(ALL_CPPFLAGS) -c -o $@ $<

.c.pico:
	$(CC) $(CFLAGS) $(TARGET_CFLAGS) $(ALL_CPPFLAGS) $(EXTRA_CFLAGS_PIC) -c -o $@ $<

ref_cache/%.o: ref_cache/%.c
	$(CC) $(CFLAGS) $(REF_CACHE_EXTRA_C_FLAGS) $(TARGET_CFLAGS) $(ALL_CPPFLAGS) -c -o $@ $<

LIBHTS_OBJS = \
	kfunc.o \
	kstring.o \
	bcf_sr_sort.o \
	bgzf.o \
	errmod.o \
	faidx.o \
	header.o \
	hfile.o \
	hts.o \
	hts_expr.o \
	hts_os.o\
	md5.o \
	multipart.o \
	probaln.o \
	realn.o \
	regidx.o \
	region.o \
	sam.o \
	sam_mods.o \
	simd.o \
	synced_bcf_reader.o \
	vcf_sweep.o \
	tbx.o \
	textutils.o \
	thread_pool.o \
	vcf.o \
	vcfutils.o \
	cram/cram_codecs.o \
	cram/cram_decode.o \
	cram/cram_encode.o \
	cram/cram_external.o \
	cram/cram_index.o \
	cram/cram_io.o \
	cram/cram_stats.o \
	cram/mFILE.o \
	cram/open_trace_file.o \
	cram/pooled_alloc.o \
	cram/string_alloc.o \
	$(HTSCODECS_OBJS) \
	$(NONCONFIGURE_OBJS)

REF_CACHE_OBJS = ref_cache/cmsg_wrap.o \
        ref_cache/http_parser.o \
	ref_cache/listener.o \
	ref_cache/log_files.o \
	ref_cache/main.o \
	ref_cache/misc.o \
	ref_cache/ping.o \
	ref_cache/poll_wrap_epoll.o \
	ref_cache/poll_wrap_poll.o \
	ref_cache/ref_files.o \
	ref_cache/request_handler.o \
	ref_cache/sendfile_wrap.o \
	ref_cache/server.o \
	ref_cache/transaction.o \
	ref_cache/upstream.o \
	cram/pooled_alloc.o \
	md5.o

# Without configure we wish to have a rich set of default figures,
# but we still need conditional inclusion as we wish to still
# support ./configure --disable-blah.
NONCONFIGURE_OBJS = hfile_libcurl.o

PLUGIN_EXT  =
PLUGIN_OBJS =

cram_h = cram/cram.h $(cram_samtools_h) $(header_h) $(cram_structs_h) $(cram_io_h) cram/cram_encode.h cram/cram_decode.h cram/cram_stats.h cram/cram_codecs.h cram/cram_index.h $(htslib_cram_h)
cram_io_h = cram/cram_io.h $(cram_misc_h)
cram_misc_h = cram/misc.h
cram_os_h = cram/os.h $(htslib_hts_endian_h)
cram_samtools_h = cram/cram_samtools.h $(htslib_sam_h)
cram_structs_h = cram/cram_structs.h $(htslib_thread_pool_h) $(htslib_cram_h) cram/string_alloc.h cram/mFILE.h $(htslib_khash_h)
cram_open_trace_file_h = cram/open_trace_file.h cram/mFILE.h
bcf_sr_sort_h = bcf_sr_sort.h $(htslib_synced_bcf_reader_h) $(htslib_kbitset_h)
fuzz_settings_h = fuzz_settings.h
header_h = header.h cram/string_alloc.h cram/pooled_alloc.h $(htslib_khash_h) $(htslib_kstring_h) $(htslib_sam_h)
hfile_internal_h = hfile_internal.h $(htslib_hts_defs_h) $(htslib_hfile_h) $(textutils_internal_h)
hts_internal_h = hts_internal.h $(htslib_hts_h) $(textutils_internal_h)
hts_time_funcs_h = hts_time_funcs.h
sam_internal_h = sam_internal.h $(htslib_sam_h)
textutils_internal_h = textutils_internal.h $(htslib_kstring_h)
thread_pool_internal_h = thread_pool_internal.h $(htslib_thread_pool_h)

# To be effective, config.mk needs to appear after most Makefile variables are
# set but before most rules appear, so that it can both use previously-set
# variables in its own rules' prerequisites and also update variables for use
# in later rules' prerequisites.

# If your make doesn't accept -include, change this to 'include' if you are
# using the configure script or just comment the line out if you are not.
-include config.mk

# Add optional built programs here
all: $(REF_CACHE_PROGRAMS)

# Usually config.h is generated by running configure or config.status,
# but if those aren't used create a default config.h here.
config.h:
	echo '/* Default config.h generated by Makefile */' > $@
	echo '#ifndef _XOPEN_SOURCE' >> $@
	echo '#define _XOPEN_SOURCE 600' >> $@
	echo '#endif' >> $@
	echo '#define HAVE_LIBBZ2 1' >> $@
	echo '#define HAVE_LIBLZMA 1' >> $@
	echo '#ifndef __APPLE__' >> $@
	echo '#define HAVE_LZMA_H 1' >> $@
	echo '#endif' >> $@
	echo '#define HAVE_DRAND48 1' >> $@
	echo '#define HAVE_LIBCURL 1' >> $@
	if [ "x$(HTS_HAVE_CPUID)" != "x" ]; then \
	    echo '#define HAVE_DECL___CPUID_COUNT 1' >> $@ ; \
	    echo '#define HAVE_DECL___GET_CPUID_MAX 1' >> $@ ; \
	fi
	if [ "x$(HTS_BUILD_SSE4)" != "x" ]; then \
	    echo '#define HAVE_POPCNT 1' >> $@ ; \
	    echo '#define HAVE_SSE4_1 1' >> $@ ; \
	    echo '#define HAVE_SSSE3 1' >> $@ ; \
	    echo '#if defined(HTS_ALLOW_UNALIGNED) && HTS_ALLOW_UNALIGNED == 0' >> $@ ; \
	    echo '#define UBSAN 1' >> $@ ; \
	    echo '#endif' >> $@ ; \
	fi
	if [ "x$(HTS_BUILD_AVX2)" != "x" ] ; then \
	    echo '#define HAVE_AVX2 1' >> $@ ; \
	fi
	if [ "x$(HTS_BUILD_AVX512)" != "x" ] ; then \
	    echo '#define HAVE_AVX512 1' >> $@ ; \
	fi
	echo '#if defined __x86_64__ || defined __arm__ || defined __aarch64__' >> $@
	echo '#define HAVE_ATTRIBUTE_CONSTRUCTOR 1' >> $@
	echo '#endif' >> $@
	echo '#if (defined(__x86_64__) || defined(_M_X64))' >> $@
	echo '#define HAVE_ATTRIBUTE_TARGET_SSSE3 1' >> $@
	echo '#define HAVE_BUILTIN_CPU_SUPPORT_SSSE3 1' >> $@
	echo '#endif' >> $@
	echo '#if defined __linux__' >> $@
	echo '#define HAVE_GETAUXVAL' >> $@
	echo '#elif defined __FreeBSD__' >> $@
	echo '#define HAVE_ELF_AUX_INFO' >> $@
	echo '#elif defined __OpenBSD__' >> $@
	echo '// Enable extra OpenBSD checks (see simd.c)' >> $@
	echo '#define HAVE_OPENBSD' >> $@
	echo '#endif' >> $@

# And similarly for htslib.pc.tmp ("pkg-config template").  No dependency
# on htslib.pc.in listed, as if that file is newer the usual way to regenerate
# this target is via configure or config.status rather than this rule.
htslib.pc.tmp:
	sed -e '/^static_libs=/s/@static_LIBS@/$(htslib_default_libs)/;s#@[^-][^@]*@##g' $(srcprefix)htslib.pc.in > $@

# Create a makefile fragment listing the libraries and LDFLAGS needed for
# static linking.  This can be included by projects that want to build
# and link against the htslib source tree instead of an installed library.
htslib_static.mk: htslib.pc.tmp
	sed -n '/^static_libs=/s/[^=]*=/HTSLIB_static_LIBS = /p;/^static_ldflags=/s/[^=]*=/HTSLIB_static_LDFLAGS = /p' $< > $@

=== debian/changelog ===
htslib (1.22.1+ds2-1) unstable; urgency=medium

  * Properly clean the upstream release tarball.
  * Don't ship architecture-specific files in htslib-test; regenerate
    them at test-time using autoconf.
  * d/libhts3t64.symbols: add new symbols for the latest release.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 04 Sep 2025 13:56:30 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
            Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5),
+               debhelper-compat (= 13),
                libbz2-dev,
                libcurl4-gnutls-dev,
                liblzma-dev,
                libssl-dev,
                zlib1g-dev,
                libdeflate-dev,
-               libhtscodecs-dev (>= 1.0)
+               libhtscodecs-dev
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/htslib
 Vcs-Git: https://salsa.debian.org/med-team/htslib.git
@@ -22,7 +23,6 @@
 Rules-Requires-Root: no
 
 Package: libhts3t64
-Provides: ${t64:Provides}
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -31,10 +31,9 @@
 Pre-Depends: ${misc:Pre-Depends}
 Breaks: libhts3 (<< ${source:Version}),
         libtabixpp (<< 1.0.0-5~),
-        libhts-dev (<< 1.13~),
-        samtools (<< 1.17~),
-        ivar (<< 1.3.1~)
-Replaces: libhts3, libhts-dev (<< 1.13~)
+        samtools (<< 1.17~)
+Provides: ${t64:Provides}
+Replaces: libhts3
 Description: C library for high-throughput sequencing data formats
  HTSlib is an implementation of a unified C library for accessing common file
  formats, such as SAM (Sequence Alignment/Map), CRAM and VCF (Variant Call

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, build-essential, @builddeps@
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repack,repacksuffix=+ds,dversionmangle=auto,compression=bz2,uversionmangle=s/-rc/~rc/" \
  https://github.com/samtools/htslib/releases .*/htslib-(\d\S*)\.tar\.bz2
